﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UMK.Kawiarnia
{
    public static class Menu
    {
        public static Napój HerbataZimowa()
        {
            Napój napój = new Herbata();
            napój = new NapójZeSzczyptąCynamonu(napój);
            napój = new NapójZŁyżeczkąCukru(napój);
            napój = new NapójZCytryną(napój, 2);
            return napój;
        }

        public static Napój Kawa(uint liczbaŁyżeczekCukru = 1, uint liczbaSzczyptCynamonu = 0)
        {
            Napój napój = new Kawa();
            for (int i = 0; i < liczbaŁyżeczekCukru; i++) napój = new NapójZŁyżeczkąCukru(napój);
            for (int i = 0; i < liczbaSzczyptCynamonu; i++) napój = new NapójZeSzczyptąCynamonu(napój);
            return napój;
        }
    }
}
